package com.zcloud.mapper.dsno2.check;

import java.util.List;
import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

/**
 * 说明：清单检查记录
 * 作者：luoxiaobao
 * 时间：2021-01-25
 * 官网：www.zcloudchina.com
 */
public interface CheckUserMapper{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(String[] ArrayDATA_IDS);

	/**清单检查人(公司试用结束时清除检查人)
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteByCorp(PageData pd);

}

